---
name: Bug Report
about: Create a bug report of Xray.
title: '[Bug] <bug you are reporting>'
labels: ''
assignees: ''

---

<!-- Thanks for your reporting.
1. Please make sure you are submitting a bug of Xray-Core instead of acquiring usage or bug in third-party programs. If you are not sure, please contact us in our official Telegram group.
2. Bug: **An error, flaw or fault in a program ** that causes it to produce an incorrect or unexpected result. (Reference: Wikipedia)
3. Please check existing Issues and Discussions first and read the documentation in detail. Duplicated issues will be closed.
4. Please don't report issue like "I can't use a feature". It's probably your own mistake.
5. You should fully complete the following contents or this issue may not be handled.
6. Please *make sure* the content you are submitting does not contain your private information.
-->


**Describe the bug**
<!-- A clear and concise description of what the bug is. -->

**To Reproduce**
<!-- Steps to reproduce the bug: -->
1.
2.
3.
4.

**Expected behavior**
<!-- A clear and concise description of what you expected to happen. -->

**Client Log**

<details>

```
Please paste your client log here:


```

</details>

**Server Log**

<details>

```
Please paste your server log here:


```

</details>

**Client config**

<details>

```json
Please paste your client config file here:


```

</details>

**Server Config**

<details>

```json
Please paste your server config file here:


```

</details>

**Client Information**
 - OS: [e.g. Windows 10]
 - Xray version [e.g. 1.3.1]
 - Xray installing approach：[e.g. Xray-install]

**Server Information**
- OS: [e.g. Windows 10]
- Xray version [e.g. 1.3.1]
- Xray installing approach：[e.g. Xray-install]

**Additional Information**
<!-- Add any other information about the problem here. -->
